cl.cromer.estructuras

## Class Grafico.Destacados

- java.lang.Object
- - cl.cromer.estructuras.Grafico.Destacados

Enclosing class:
  Grafico

    private static final class Grafico.Destacados
    extends java.lang.Object

Clase de elemento destacado.

Author:
  Chris Cromer

### Field Summary

Fields
`private javafx.scene.paint.Color` `color` El color anterior del elemento destacado.
`private java.lang.String` `id` El id del elemento destacado.
`private javafx.animation.SequentialTransition` `sequentialTransition` La animación del elemento destacado.
`private int` `tipo` El tipo de objeto que está destacado.

### Constructor Summary

Constructors
Constructor and Description
`Destacados(int tipo, java.lang.String id, javafx.scene.paint.Color color, javafx.animation.SequentialTransition sequentialTransition)` Inicilizar.

### Method Summary

All Methods Instance Methods Concrete Methods
`javafx.scene.paint.Color` `getColor()` Devolver el color anterior antes que fue destacado.
`java.lang.String` `getId()` Devolver el ID de elemento destacado.
`javafx.animation.SequentialTransition` `getSequentialTransition()` Devolver la animación que es en uso con el elemento.
`int` `getTipo()` Devolver el tipo de elemento destacado.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tipo

    private final int tipo

El tipo de objeto que está destacado.

#### id

    private final java.lang.String id

El id del elemento destacado.

#### color

    private final javafx.scene.paint.Color color

El color anterior del elemento destacado.

#### sequentialTransition

    private final javafx.animation.SequentialTransition sequentialTransition

La animación del elemento destacado.

### Constructor Detail

#### Destacados

    public Destacados(int tipo,
                      java.lang.String id,
                      javafx.scene.paint.Color color,
                      javafx.animation.SequentialTransition sequentialTransition)

Inicilizar.

Parameters:
  `tipo` - int: El tipo de elemento destacado, , o .
  `id` - String: El id para identificar el elemento.
  `color` - Color: El color anterior para cambiarlo cuando `Grafico.removerDestacar()` es usado.
  `sequentialTransition` - SequentialTransition: La animación a usar.

### Method Detail

#### getTipo

    public int getTipo()

Devolver el tipo de elemento destacado.

Returns:
  int: El tipo destacado.

#### getId

    public java.lang.String getId()

Devolver el ID de elemento destacado.

Returns:
  String: El ID destacado.

#### getColor

    public javafx.scene.paint.Color getColor()

Devolver el color anterior antes que fue destacado.

Returns:
  Color: El color anterior.

#### getSequentialTransition

    public javafx.animation.SequentialTransition getSequentialTransition()

Devolver la animación que es en uso con el elemento.

Returns:
  SequentialTransition: La animación.